/*
 * defs.h
 *
 * Combat World global types and defines
 */

typedef signed char	byte;
typedef signed short	word;
typedef signed long	dword;
typedef unsigned char	ubyte;
typedef unsigned short	uword;
typedef unsigned long	udword;

#define PLAYER_MAX_NAME_LEN 32

// A player
typedef struct
{
	dword	server_version;			// the version of the server - defines what is used below

	char	name[PLAYER_MAX_NAME_LEN];	// name
	udword	score;				// score

	udword	mode;				// global mode, and flags
	udword	tmode;				// tank mode
	udword	mmode;				// missile mode
	udword	pmode;				// plane mode
	udword	dmode;				// drone mode

	dword	xpos, zpos;			// coords in the world
	dword	xmot, zmot;			// suggested move
	dword	angle, tilt;			// direction and banking angles

	dword	mxpos, mzpos;			// missile coords
	dword	mxmot, mzmot;			// missile's movement
	dword	mangle, mtilt;			// missile's angles

	dword	xold, zold;			// previous position

	void *	tank;				// client specific pointer to tank object
	void *	missile;			// missile object (3d model)
	void *	plane;				// plane object (future)
} player_str;

