/*
 * tmd_func.h
 */

/*
 * memory map for TMD data
 *
 * 0x80090000 - 0x8009ffff	PRIM
 * 0x800a0000 - 0x800cffff	VERT
 * 0x800d0000 - 0x800dffff	NORM
 */

#ifndef TMD_FUNC_H
#define TMD_FUNC_H

extern void tmd_reset(void);
extern u_long *tmd_primbase(void);
extern u_long *tmd_vertbase(void);
extern u_long *tmd_normbase(void);
extern u_short tmd_addvert(u_long x, u_long y, u_long z);
extern u_short tmd_addnorm(u_long x, u_long y, u_long z);
extern void tmd_addp4fnt(u_short n0, u_short v0, u_short v1, u_short v2, u_short v3, u_char r, u_char g, u_char b);
extern void tmd_addp3fnt(u_short n0, u_short v0, u_short v1, u_short v2, u_char r, u_char g, u_char b);

#endif
